dkms (3.2.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2140440). Remaining changes:
    - fix-builtin-archive-dkms-coinstallation.patch: Fix coinstallation of
      prebuilt and DKMS modules. (LP: #2008269)
    - run_test-secureboot-off.patch: Support systems with secureboot off.
    - fix-nonefi-autopkgtest.patch: Support running tests on systems with
      module signing but without update-secureboot-policy.
    - ignore-autoinstall-errors.patch: Add environment variable to ignore
      autoinstall errors during release upgrades. (LP: #2028366)
    - debian/control: Drop redundant gcc | c-compiler recommends.
    - debian/tests/control: Depend on linux-image-generic for the run_test.sh
      test case.
    - debian/tests/control: Re-enable run_test.sh case for i386.
  * New changes
    - debian/tests/control: Install correct kernel headers package for
      32-bit_userspace_with_64-bit_kernel test.
    - debian/patches/ignore-stdbuf-LD_PRELOAD-errors.patch: Ignore
      libstdbuf.so LD_PRELOAD error message during run_test.sh.
  * Dropped changes
    - debian/control: Explicitly list gcc-15 as a dependency: gcc-15 is
      the default in Resolute, so the gcc dependency is sufficient.
    - debian/control: Drop Debian-specific Breaks entries: Dropping the
      entries is ultimately not necessary, so keep the diff minimal.

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 10 Feb 2026 15:37:30 -0600

dkms (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Stop shipping dkms.service. Not really needed and causes a dependency
    cycle with cloud-init-network.service.  (Closes: #1107232)
  * common.postinst: Emit a warning if no kernel headers were found.
    (Closes: #1114731)
  * Drop Pre-Depends: lsb-release, no longer used since 3.0.12.
  * Add Breaks against more obsolete *-dkms packages.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Sep 2025 00:42:50 +0200

dkms (3.2.0-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:30:34 +0100

dkms (3.2.0-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable (LP: #2117195). Remaining changes:
    - fix-builtin-archive-dkms-coinstallation.patch: Fix coinstallation of
      prebuilt and DKMS modules. (LP: #2008269)
    - run_test-secureboot-off.patch: Support systems with secureboot off.
    - fix-nonefi-autopkgtest.patch: Support running tests on systems with
      module signing but without update-secureboot-policy.
    - ignore-autoinstall-errors.patch: Add environment variable to ignore
      autoinstall errors during release upgrades. (LP: #2028366)
  * New changes
    - debian/control: Drop redundant gcc | c-compiler recommends.
    - debian/control: Migrate to gcc-15.
    - debian/control: Drop Debian-specific Breaks entries.
    - debian/tests/control: Depend on linux-image-generic for the run_test.sh
      test case.
    - debian/tests/control: Re-enable run_test.sh case for i386.
  * Dropped changes
    - do-not-perform-rpm-queries-on-Debian-Ubuntu-Arch-bas.patch: All changes
      in this patch are now included from Debian.
    - expect-zst.patch: run_test.sh now autodetects the module compression
      extension by reading the kernel's configuration.
    - messaging.patch: The log messages this patch modified were removed
      in the upstream version.

 -- Jacob Martin <jacob.martin@canonical.com>  Sat, 10 May 2025 09:17:30 +0000

dkms (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 May 2025 04:47:51 +0200

dkms (3.1.8-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1102075, #1098805)
  * Suppress the CLEAN deprecation warning for trixie.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Apr 2025 00:23:30 +0200

dkms (3.1.7-2) unstable; urgency=medium

  * Skip autopkgtest without /proc if it cannot be unmounted.
  * Unbreak zfs-dkms post_build script.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Apr 2025 22:50:46 +0200

dkms (3.1.7-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1025785)
  * Install zsh completions in /usr/share/zsh/vendor-completions/.
  * New autopkgtest: Run upstream testsuite with /proc unmounted.
  * Ship dkms.service.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Apr 2025 02:09:34 +0200

dkms (3.1.5-2) unstable; urgency=medium

  * dkms-autopkgtest: Support manual execution with a .deb file argument.
  * Add Breaks against more obsolete *-dkms packages.
  * run_test.sh: Extract only the major part of the kmod version.
    (Closes: #1099711)
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Mar 2025 09:08:57 +0100

dkms (3.1.5-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1009645, #706868)
  * Refresh patches.
  * framework.conf.d: Enable autoinstall_all_kernels="yes" by default.
    (Closes: #1087433, #704788, #704150)
  * dkms-autopkgtest: Skip test (exit 0) on i386 (no more kernels or headers).
  * dkms-autopkgtest: Skip test (exit 77) if no linux-headers-* seem to exist.
  * Skip upstream testsuite on i386.
  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.12 kernel in trixie.
  * Remove outdated HOWTO.Debian.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2025 04:13:14 +0100

dkms (3.1.4-1) experimental; urgency=medium

  * New upstream release.  (Closes: #1088640, #843113)
  * Refresh patches.
  * Add dkms-replace-test-dkms package with a trivial kernel module for dkms
    tests.
  * Fix dkms_autoinstaller error propagation.  (Closes: #1093556)
  * Ensure modules get rebuilt once on kernel upgrades w/o version change.
    (Closes: #1076351)
  * dkms-autopkgtest: Update module-is-installed regex again.
  * Remove Mario Limonciello from Uploaders at his request.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jan 2025 05:31:56 +0100

dkms (3.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 15:57:54 -0500

dkms (3.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Beckmann ]
  * Clean up /etc/kernel/install.d/40-dkms.install, moved to /usr.
    (Closes: #1086441)

  [ Jeremy Sowden ]
  * d/s/dkms-autopkgtest: fix testing of packages that override original modules
    (Closes: #1088558).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 06 Jan 2025 23:40:28 +0100

dkms (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2024 03:45:43 +0200

dkms (3.0.13-1) unstable; urgency=medium

  * New upstream release.  (Closes: #897677)
  * Refresh patches.
  * Downgrade compiler dependency to Recommends to ease cross installation.
    The linux-headers-* packages have a proper compiler dependency.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Mar 2024 11:33:57 +0100

dkms (3.0.12-5) unstable; urgency=medium

  * dkms: Use saner compression defaults.  (Closes: #1061427)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Feb 2024 20:54:03 +0100

dkms (3.0.12-4) unstable; urgency=medium

  * common.postinst: Use bash for extracting AUTOINSTALL from dkms.conf.
    (Closes: #1059885)
  * Stop recommending linux-headers-*.
    (Closes: #1059895, #918918, #968763, #637877, #755942, #762061, #951404)
  * postinst: Be less greedy and don't remove module source while cleaning up
    module builds with empty $arch from the dkms tree.  (Closes: #1059900)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Jan 2024 20:16:57 +0100

dkms (3.0.12-3) unstable; urgency=medium

  * Autodetect module compression during tests.  (Closes: #1059894)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Jan 2024 14:10:36 +0100

dkms (3.0.12-2) experimental; urgency=medium

  * Cherry-pick upstream patches:
    - Use 'unbuild' instead of 'remove' in kernel prerm script to keep the
      modules in 'added' state.  (Closes: #621846, #894250)
    - Document MOK key *and* cert recreation behavior if MOK key *or* cert is
      missing.  (Closes: #1052243)
  * kernel/header_postinst.d hook: On header upgrades w/o package name change,
    'unbuild' all 'autoinstall'ed modules built against the old version first
    to ensure they get rebuilt against the upgraded headers on the next
    'autoinstall'.  (Closes: #1040401, #1034013)
  * common.postinst: Only build AUTOINSTALL="yes" modules on installation.
  * Clean up obsolete /etc/kernel/install.d/dkms, renamed to 40-dkms.install.
    (Closes: #1056949)
  * postinst: Clean up modules with empty $arch from dkms tree. (Cf. #1036033)
  * postinst: Clean up dangling source links from dkms tree.  (LP: #830915)
  * dh_dkms: Strip epoch from upstream version.  (Closes: #660043)
  * dh_dkms: Error out on invalid package versions.
  * dh_dkms: Always substitute #MODULE_VERSION#.  (Closes: #736803)
  * Add dkms-noautoinstall-test-dkms package with a trivial kernel module for
    dkms tests.
  * Add autopkgtests using dkms-noautoinstall-test-dkms.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Dec 2023 00:48:28 +0100

dkms (3.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * New autopkgtest: Test 32-bit i386 userspace with 64-bit kernel.
  * Only enumerate kernels that potentially have headers installed.
    (Closes: #1011317)
  * Clean up after depmod if modules.dep is empty.
  * postinst: Clean up leftover depmod files from removed kernels/headers.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Nov 2023 02:36:21 +0100

dkms (3.0.11-3) unstable; urgency=medium

  * autopkgtest fixes.
  * Drop Ubuntu-specific patch.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Jun 2023 17:15:58 +0200

dkms (3.0.11-2) unstable; urgency=medium

  * dh_dkms: Bump generated dkms dependency for new BUILD_EXCLUSIVE
    directives.
  * Fix and unify CC detection.
  * Fail early if $arch detection fails.  (Closes: #1036033, #842596, #999467)
  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.1 kernel in bookworm.  (Closes: #1037425)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Jun 2023 19:02:14 +0200

dkms (3.0.11-1ubuntu15) plucky; urgency=medium

  * dh_dkms: Always substitute #MODULE_VERSION#. (LP: #2102149)
    - Thanks to Andreas Beckmann!

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 13 Mar 2025 13:56:47 -0500

dkms (3.0.11-1ubuntu14) oracular; urgency=medium

  * control: Migrate to gcc-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Aug 2024 11:49:17 +0300

dkms (3.0.11-1ubuntu13) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:18 +0200

dkms (3.0.11-1ubuntu12) mantic; urgency=medium

  * Depend on both gcc & gcc-13, as some dkms packages use autoconf and
    require /usr/bin/gcc to be there, even if underlying kernel build will
    use /usr/bin/gcc-13. This still is improvement, over mantic-release
    which in addition to these symlinks also pulls in gcc-12.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 10 Oct 2023 18:15:57 +0100

dkms (3.0.11-1ubuntu11) mantic; urgency=medium

  * Bump depends from gcc-12 to gcc-13, as all mantic kernels migrated to
    gcc-13.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 09 Oct 2023 23:15:05 +0100

dkms (3.0.11-1ubuntu10) mantic; urgency=medium

  * In autopkgtests expect zst compression for dkms modules for v6.5
    kernels.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 12 Sep 2023 19:40:25 +0100

dkms (3.0.11-1ubuntu9) mantic; urgency=medium

  * Unsupported DKMS modules break kernel header installation if compilation
    fails. Handle this by ignoring autoinstall errors if a release upgrade is
    in progress or if the file /etc/dkms/no-autoinstall-errors exists
    (LP: #2028366).

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 25 Jul 2023 16:29:26 +0200

dkms (3.0.11-1ubuntu8) mantic; urgency=medium

  * Kernel headers in recent ubuntu kernels hardcode specific compiler,
    without depending on the said compiler. Add gcc-12 dep on dkms
    packages, to unbreak all current set of autopkgtests that are
    executing against kernel in release and lack gcc-12 otherwise. This is
    a stop gap, as really, I guess we should add compiler dependency on
    the header package and live with that.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 20 Jul 2023 00:45:23 +0100

dkms (3.0.11-1ubuntu7) mantic; urgency=medium

  * Reset test messages correctly.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 24 May 2023 10:11:33 +0100

dkms (3.0.11-1ubuntu6) mantic; urgency=medium

  * Fix hardcoded arch in test result expectations.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 23 May 2023 14:18:20 +0100

dkms (3.0.11-1ubuntu5) mantic; urgency=medium

  * Attempt #5 to fix autopkgtest on all arches.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 23 May 2023 11:44:45 +0100

dkms (3.0.11-1ubuntu4) mantic; urgency=medium

  * Testsuite forces a fake mok key, on arches that do not have
    update-secureboot-policy. Thus it should be possible to run the tests
    on all arches without specifying no-signing-tool flag. Try this now,
    again.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 19 May 2023 12:44:59 +0100

dkms (3.0.11-1ubuntu3) mantic; urgency=medium

  * Support running tests on systems with module signing, but without
    update-secureboot-policy.
  * Limit dkms-test-dkms to prevent badpkg on i386 for dkms-autopkgtest

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 18 May 2023 23:42:40 +0100

dkms (3.0.11-1ubuntu2) mantic; urgency=medium

  * Fix autopkgtest for ubuntu delta.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 18 May 2023 12:50:01 +0100

dkms (3.0.11-1ubuntu1) mantic; urgency=medium

  * Deliberate Ubuntu delta:
    - Even if there is no delta with Debian, do not force-sync this
    package. This package will be updated by the kernel team as part of
    landing new kernels. Neither upstream, nor Debian, use dkms to the
    same extend as Ubuntu Kernel Team build processes do, plus Ubuntu has
    more dkms packages than Debian. Testing in Debian is insufficient for
    successful upload to Ubuntu. Over the previous two cycles, there were
    multiple regressions introduced in upstream and Debian revisions that
    have significantly impacted Ubuntu development. Introducing more
    strict upload process for the DKMS package should hopefully mitigate
    this. Previous request from the Kernel to do this, was ignored close
    to Lunar release, which caused Lunar to be shipped with a regressed
    dkms.

  *  Fixup autopkgtest:
    - Support systems with secure boot off
    - Support systems without update-secureboot-policy

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 09 May 2023 10:37:14 +0100

dkms (3.0.11-1) experimental; urgency=medium

  * New upstream release.
    - Adds BUILD_EXCLUSIVE_{CONFIG,_KERNEL_{MIN,MAX}}.  (Closes: #911665)
    - Fixes BUILD_EXCLUSIVE matches propagating as error.  (Closes: #1031561)
  * Drop patches that were applied upstream.
  * Avoid unnecessary rpm comands on Debian based systems.  (Closes: #741399)
    (LP: #1069350)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Apr 2023 18:12:51 +0200

dkms (3.0.10-9) experimental; urgency=medium

  * Add dkms-test-dkms package with a trivial kernel module for dkms tests.
    (Closes: #642174)
  * New autopkgtest: Install some-dkms after linux-headers.
  * New autopkgtest: Install linux-headers after some-dkms.
  * New autopkgtest: Install some-dkms after linux-image w/o linux-headers.
  * New autopkgtest: Install linux-image after some-dkms w/o linux-headers.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Mar 2023 14:19:59 +0200

dkms (3.0.10-8+deb12u1) bookworm; urgency=medium

  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.1 kernel in bookworm.  (Closes: #1037425)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 13:43:22 +0200

dkms (3.0.10-8ubuntu1) mantic; urgency=medium

  * Fix a regression that prevents a kernel installation if a BUILD_EXCLUSIVE
    skips a DKMS build. LP: #2018226

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 02 May 2023 16:41:37 +0200

dkms (3.0.10-8) unstable; urgency=medium

  * Disable tests broken by fix-builtin-archive-dkms-coinstallation.patch.
    (Closes: #1033396)
  * Run autopkgtest for all architectures using the headers from the
    linux-headers-generic (virtual) meta-package.
  * Generate dh_dkms.1 at build time.
  * Clean up /boot/*.old-dkms on upgrades from bullseye.  (Closes: #717584)
  * Clean up obsolete /etc/dkms/sign_helper.sh on upgrades. (Closes: #1019563)
  * dkms-autopkgtest: Try to 'dkms install' its BUILD_DEPENDS before testing a
    module. (Single level only, without recursion.)  (Closes: #1034303)
  * Fix fallback value for BUILD_MODULE_NAME[0].  (Closes: #651973)
  * dkms.8: Clarify 'dkms add' arguments.  (Closes: #704917)
  * Print a warning if /proc is not mounted.  (Closes: #810665, #968074)
  * dkms_autoinstaller: Skip autoinstall if headers are missing (like
    dkms_common.postinst).  (Closes: #1030595)
  * Use return code 77 if skipping due to BUILD_EXCLUSIVE_*.
  * Sort kernels by version.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Mar 2023 14:01:26 +0200

dkms (3.0.10-7) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix release regression preventing co-installing in-archive dkms
    packages with kernels that built-in identical or newer versions of the
    same dkms package. LP: #2008269

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 00:02:08 +0100

dkms (3.0.10-6) unstable; urgency=medium

  * Fix test failure on s390x due to typo in "linux" package installation
    name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Feb 2023 09:37:48 +0100

dkms (3.0.10-5) unstable; urgency=medium

  * dkms-autopkgtest: fix typo in variable name

 -- Aron Xu <aron@debian.org>  Wed, 08 Feb 2023 11:14:35 +0800

dkms (3.0.10-4) unstable; urgency=medium

  * dkms-autopkgtest: fix build vs install checks

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 07 Feb 2023 19:02:02 +0000

dkms (3.0.10-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms: Drop Depends: dh-dkms, the B-D: dkms have migrated to
    B-D: dh-sequence-dkms or B-D: dh-dkms.
  * Provide virtual package dkms-autopkgtest.
  * dkms-autopkgtest: Accept a list of packages to be tested as parameters.
  * dkms-autopkgtest: Ensure dctrl-tools and openssl are installed.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * dh_dkms: Error out if dkms.conf cannot be read.  (Closes: #1028331)
  * dh_dkms: Fall back to debian/tmp when looking up the dkms.conf template.

  [ Aron Xu ]
  * add autopkgtest for dkms itself

 -- Aron Xu <aron@debian.org>  Tue, 07 Feb 2023 14:55:19 +0800

dkms (3.0.10-2) unstable; urgency=medium

  * dkms-autopkgtest:
    - Use dkms --force to force installation and build
      if the module is already found (e.g. provided by kernel)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 Jan 2023 10:16:53 +0100

dkms (3.0.10-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop gencontrol hack, now that the Breaks has been removed

  [ Aron Xu ]
  * New upstream version 3.0.10 (Closes: #1025783, #1026822)
  * Drop patch merged upstream

 -- Aron Xu <aron@debian.org>  Tue, 10 Jan 2023 22:08:49 +0800

dkms (3.0.9-1) unstable; urgency=medium

  * New upstream version 3.0.9 (Closes: #1019425, #1008505, #1025224)
  * Remove patches merged upstream and refresh remainders
  * Remove unused override: source/maintainer-manual-page
  * Remove unused "Breaks: ${dkms:Breaks}" from d/control
  * Fix bash term in dkms_common.postinst

 -- Aron Xu <aron@debian.org>  Tue, 13 Dec 2022 18:01:38 +0800

dkms (3.0.8-3) unstable; urgency=high

  * Revert back to 3.0.8-1 behavior to prevent breakages for sid users
    (Closes: #1025214, #1025171)

 -- Aron Xu <aron@debian.org>  Fri, 02 Dec 2022 19:49:16 +0800

dkms (3.0.8-2) unstable; urgency=medium

  * export-CC, exact-cc: Merge and improve the two patches. Ensure that
    compiler is set and exported as early in the prepartion stage as
    possible, is not subsequently unset (already unset at the start of the
    dkms script), and also export MAKEFLAGS to ensure that environment CC
    variable is used by kernel's Makefile. Fixes LP: #1997841
  * Drop dangling unapplied patch from git.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 24 Nov 2022 14:59:45 +0000

dkms (3.0.8-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update watch file.
  * Make messages more consistent.

  [ Gianfranco Costamagna ]
  * New upstream version 3.0.7 (Closes: #1019330, #1021966)
  * New upstream version 3.0.8
  * Drop upstream patches:
    - 2b76d4aa29e65ae4ed8e89685c4e729f1276c5fc
    - 3ca52f8769bdf7ebdc83735355fff7c5c0664152
    - 7f3c4b03c506e40f0a5ce9315a8ade88b108ce0f
    - 8d60956f6dcda0679066954215eb8be4045413b4
    - 985bfd584f0e87bc726865bfdc17887d4713c854
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Nov 2022 22:34:50 +0100

dkms (3.0.6-4) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix dkms signing regressions with cherry-picks from 3.0.7 upstream
    git. LP: #1991725
    - Reinstate enroll call, as it causes dpkg-trigger action during dpkg
    transaction to enroll newly created key, if it wasn't enrolled yet.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Oct 2022 21:04:14 +0200

dkms (3.0.6-3) unstable; urgency=medium

  * Export exact CC compiler earlier, before pre_build script is run. Some
    dkms modules already perform compilation in pre_build script, and thus
    need correct CC variable earlier. LP: #1991664

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Oct 2022 15:22:46 +0100

dkms (3.0.6-2) unstable; urgency=medium

  * debian/patches/7f3c4b03c506e40f0a5ce9315a8ade88b108ce0f.patch
    - Apply upstream patch suggested by Marinelli Giorgio, to fix an issue due
      to an extra $ character.
  * debian/patches/49d647b6476d605feb10548e33fc3807415ec724.patch
    - Apply another upstream hotfix.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Sep 2022 12:27:13 +0200

dkms (3.0.6-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms-autopkgtest: Print a summary for all tested kernels.
  * Update Lintian overrides.

  [ Dimitri John Ledkov ]
  * Use exact compiler for dkms as used to build the kernel, when possible.
  * Fix dkms-autopkgtest when a given dkms package is built into the kernel
    already of the same version. (i.e. zfs-linux on Ubuntu).

  [ Gianfranco Costamagna ]
  * New upstream version 3.0.4 (Closes: #665774)
  * New upstream version 3.0.6
  * Refresh patches for new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Sep 2022 10:11:13 +0200

dkms (3.0.3-4) unstable; urgency=medium

  * Make deprecation warnings less noisy and more informative.
    (Closes: #1012043)
  * Add new feature BUILD_EXCLUSIVE_CONFIG="CONFIG_FOO !CONFIG_BAR".
  * dh_dkms: Bump generated dependency if BUILD_EXCLUSIVE_CONFIG is used.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Jun 2022 09:28:22 +0200

dkms (3.0.3-3) experimental; urgency=medium

  * dkms-autopkgtest: Try not to fail if linux-doc is not installed.
  * Set 'our $VERSION' in dh_dkms to show it along autoscripts.
  * Move dh-dkms into a separate package.  (Closes: #966601)
  * Regenerate dh_dkms(1).
  * Clean up obsolete conffiles from /etc/dkms/template*/*.
    (Closes: #1012285, #1009148)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jun 2022 23:49:20 +0200

dkms (3.0.3-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms-autopkgtest: Only install linux-headers-* packages matching the
    source version of linux-doc (a dependency generated by autodep8 for
    autopkgtest-pkg-dkms). Mixing different versions may fail if multiple
    distros (e.g. testing and unstable) are enabled and pinning is used.
    (Closes: #1010883)
  * Provide versioned virtual package dh-dkms.
  * Drop maintainer script code handling upgrades from versions predating
    squeeze/trusty.
  * Properly clean up ancient /etc/bash_completion.d/dkms.
  * Clean up ancient /etc/dkms/kernel_install.d_dkms.  (Closes: #996812)
  * Add debian/upstream/metadata.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Add myself to Uploaders.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster.
    - dkms: Drop versioned constraint on coreutils in Depends.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 May 2022 16:12:46 +0200

dkms (3.0.3-1) unstable; urgency=low

  * New upstream version 2.8.8 (Closes: #650331, #763534)
  * New upstream version 3.0.3 (Closes: #996104, #1005812, #996648)
  * Drop examples removed upstream
  * Drop patches now part of upstream codebase:
    - 149.patch
    - do-not-load-modules.patch
  * Refresh export-CC patch

  [ Andreas Beckmann ]
  * dkms-autopkgtest: If no linux-headers-* packages are installed, install
    all available ones before building modules. (Closes: #945594)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2022 12:08:47 +0200

dkms (2.8.7-2) unstable; urgency=medium

  * Drop old conffile moved upstream (Closes: #990138)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Oct 2021 09:16:04 +0200

dkms (2.8.7-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream version 2.8.7
  * Refresh patches
  * Bump std-version to 4.6.0
  * Remove AUTHORS file, dropped upstream
  * override_dh_auto_install to fix double installation and failure in second gzip of manpage

  [ Dimitri John Ledkov ]
  * dkms-autopkgtest: only test dkms builds against kernel abi in the ADT
    trigger such that results are reported only for the requested kernel
    flavour. This is to catch cases when dkms module builds for a
    derivative kernel, but not for generic (or any other flavour) that may
    be installed on the test system in addition to the requested kernel
    flavour.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Oct 2021 10:23:02 +0200

dkms (2.8.4-4) unstable; urgency=medium

  * debian/patches/149.patch:
    - upstream proposed patch to fix wrong bash interpreter (Closes: #986674)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Apr 2021 14:28:48 +0200

dkms (2.8.4-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.

  [ Andreas Beckmann ]
  * Export the CC variable from .kernelvariables in the kernel source to allow
    module build systems use the kernel's compiler also outside of Kbuild.
    (Closes: #984929)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Mar 2021 12:11:42 +0100

dkms (2.8.4-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Andreas Beckmann ]
  * Add Provides: dh-sequence-dkms to help reverse-dependencies use it. (Closes: #981395)

  [ Marcelo Henrique Cerri ]
  * dkms-autopkgtest: Also select binary packages that depends on dkms for testing (LP: #1915051)
    Closes: #982315

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 11 Feb 2021 11:56:32 -0300

dkms (2.8.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 2.0.17.5-0ubuntu1.

  [ Aron Xu ]
  * New upstream version 2.8.4
  * Refresh patch do-not-load-module.patch

 -- Aron Xu <aron@debian.org>  Tue, 22 Dec 2020 14:32:22 +0800

dkms (2.8.3-4) unstable; urgency=medium

  * Silently source dkms.conf files, to help iptables-netflow work
    in autopkgtests (Addresses: #966483)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 12:03:25 +0200

dkms (2.8.3-3) unstable; urgency=medium

  * dynamically generate breaks for shim-signed in Ubuntu and Derivates

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 10:30:50 +0200

dkms (2.8.3-2) unstable; urgency=medium

  * tweak dkms-autopkgtest script to avoid cases where some files called "dkms.conf"
    are stored somewhere else (e.g. /etc).
    This fixes e.g.
    dpkg -L broadcom-sta-dkms |grep "dkms.conf"
    /etc/modprobe.d/broadcom-sta-dkms.conf
    /usr/src/broadcom-sta-6.30.223.271/dkms.conf
    and others (8168-dkms) (Closes: #959910)
  * Make copyright file machine readable and add myself to it
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 09:28:05 +0200

dkms (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3
  * Drop patches:
    - 130,
    - no-autoinstall-flag-file,
    - 885f8275aa65fb11be1e17bc28a0b0ea734dc585: upstream
  * Refresh patch do-not-load-modules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 18:44:36 +0200

dkms (2.8.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Tweak previous patch to do bash string comparison (Closes: #956245)
    thanks Thorsten Glaser for the reminder!

  [ Andreas Beckmann ]
  * use /etc/dkms/no-autoinstall as flag file to disable autoinstall
  * improve dkms-autopkgtest (Closes: #959910)

  [ Seth Forshee ]
  * Cherry-pick upstream fix for dkms failure with signed kernel modules
    - debian/patches/885f8275aa65fb11be1e17bc28a0b0ea734dc585.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jun 2020 10:00:12 +0200

dkms (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2 (Closes: #585771)
  * Drop verboselog patch: upstreamed
  * Refresh do-not-load-modules patch
  * Bump std-version to 4.5.0
  * Bump debhelper compat level to 13
  * Bump watch file version to 4
  * Add upstream proposed patch to close Debian bug 956245. (Closes: #956245)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jun 2020 11:21:01 +0200

dkms (2.8.1-5) unstable; urgency=medium

  * Team upload.
  * Patch dkms to not load random modules during dkms install
    Closes: #931017
  * Replace maintainer email address with dkms@packages.debian.org
  * Drop Depends on lsb-release, we have Pre-Depends already.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 22 Jan 2020 12:42:37 +0100

dkms (2.8.1-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Import Ubuntu patch

  [ Dimitri John Ledkov ]
  * Some dkms modules are included by the Ubuntu kernel and not overriden
    by default. That's ok, as long as they are installed. Do not fail
    autopkgtest in this case. See virtualbox dkms test.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Dec 2019 10:00:44 +0100

dkms (2.8.1-3) unstable; urgency=medium

  * Suggest e2fsprogs (Closes: #887263)
  * Add some verbosity on log messages (Closes: #840620)
  * Depend on lsb-release (Closes: #896814)
  * Do not depend anymore on python3-apport, removed even from experimental
    (Closes: #881709)
  * Add back the pre-depends on lsb-release (Closes: #826928)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Nov 2019 12:39:25 +0100

dkms (2.8.1-2) unstable; urgency=medium

  * QA upload
  * Fix build by dropping patch revert

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2019 23:27:29 +0100

dkms (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1
  * Drop all the patches, all of them are now upstream
    - 0001-688904.patch
    - 0002-757758.patch
    - 0003-Do-not-ignore-kernelsourcedir.patch
    - 0004-mkbmdeb-support-for-lean-binary-package-with-only-th.patch
    - 0008-Don-t-assume-boot-config-exists-test-first.patch
    - 0009-Add-support-for-UEFI-Secure-Boot-validation-toggling.patch
    - 0015-change-arch-in-mkdeb-template.patch
    - 0017-fix-OBSOLETE_BY-in-DKMS.CONF-Closes-81.patch
    - lp-1827697.patch
    - 0008-man-fix-manpage-has-errors-from-man-lintina-warning.patch
    - 0019-add-force-version-override-and-dkms-_version-overrid.patch
    - 0020-versioned-provides.patch
  * Bump std-version to 4.4.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2019 17:49:54 +0100

dkms (2.7.1-5) unstable; urgency=medium

  [ Aron Xu ]
  * Allow any c-compiler to satisfy the required Depends (Closes: #620754)
  * Only test "-dkms" packages in dkms-autopkgtest (Closes: #903588)

  [ Alex Tu ]
  * revert 0019-fix-OBSOLETE_BY-be-blocked-by-force-Closes-89.patch
  * cherry-pick from upstream 9bbef17 for issue #89 #42
    - 0019-add-force-version-override-and-dkms-_version-overrid.patch
    (LP: #1838921)

  [ Martijn Grendelman ]
  * Add versioned provides to mkbmdeb (Closes: #943484)

  [ Gianfranco Costamagna ]
  * QA upload.
  * Add Ubuntu patch, now upstream
  * Drop old patch
  * Add patch from Martijn Grendelman to add versioned provides to dkms

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 12:47:11 +0200

dkms (2.7.1-4) unstable; urgency=medium

  * QA upload.
  * Cherry-pick two other Ubuntu/Upstream patches:
    - 0017-fix-OBSOLETE_BY-in-DKMS.CONF-Closes-81.patch
    - lp-1827697.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 10:17:59 +0200

dkms (2.7.1-3) unstable; urgency=medium

  * QA upload

  [ You-Sheng Yang ]
  * Fix lintian warnings related to manpages typos
  * Add debian/ci yaml file
  * Fix lintian warning about python shebang

  [ Dimitri John Ledkov]
  * Try to improve dkms-autopkgtest when testing incompatible dkms
    modules. Ensure package is purged first, as make.log is not
    regenerated upon second installation. Also, before checking the
    make.log check if the package in question is a dkms.conf one, as
    otherwise empty tarball is created. This should now unbreak
    testability of multi-binary packages, which have build-excluded dkms
    modules.

  [ Timo Aaltonen ]
  * dkms: cherry-pick from upstream a35d981 for issue #89
    0019-fix-OBSOLETE_BY-be-blocked-by-force-Closes-89.patch (LP: #1838921)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 10:08:19 +0200

dkms (2.7.1-2) unstable; urgency=medium

  * QA upload
  [ Seth Forshee ]
  * debian/dkms-autopkgtest: skip testing when package is disabled from
    building by a BUILD_EXCLUSIVE directive.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 15:36:18 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dh-dkms`.
